(define-module (ray1729 packages utils)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix build-system go)
  #:use-module (guix git-download)
  #:use-module (guix packages)
  #:use-module (gnu packages golang)
  #:use-module (gnu packages golang-xyz))

(define-public git-semver
  (package
    (name "git-semver")
    (version "0.2.3")
    (source
     (origin
       (method git-fetch)
       (uri (git-reference
             (url "https://github.com/ray1729/git-semver")
             (commit (string-append "v" version))))
       (file-name (git-file-name name version))
       (sha256
        (base32 "01yjlvvgigby8a8d0xpzn17s7zwz7pqfzclkqkv6f789krcmp9iw"))))
    (build-system go-build-system)
    (arguments
     (list
      #:import-path "github.com/ray1729/git-semver"
      #:install-source? #f))
    (native-inputs (list go-github-com-urfave-cli-v2
                         go-github-com-masterminds-semver-v3))
    (home-page "https://github.com/ray1729/git-semver")
    (synopsis "Git custom command for managing semantic version tags")
    (description
     "This package provides the git-semver custom command for managing
semantic version tags in a git repository.  It provides a convenient way to create
a tag for the next major/minor/patch release, and also handles pre-release and build
components of the tag.  This is a port to golang of Mark Challoner's bash implementation
and closely follows the command-line usage of that version.")
    (license license:expat)))
